From 913cb1ccfaf1600d6f25eb5bc9a3f587806a77bb Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Mon, 12 Feb 2024 13:58:13 +0100
Subject: [PATCH v2 1/2] doc: Clarify when backtrace_functions is invoked

The documentation for backtrace_functions only mentioned error logs,
but backtraces will be printed for LOG as well so soften the wording
a bit to make clear that not just errors can be debugged like this.
---
 doc/src/sgml/config.sgml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 61038472c5..f865d0b87e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -11069,9 +11069,9 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
       <listitem>
        <para>
         This parameter contains a comma-separated list of C function names.
-        If an error is raised and the name of the internal C function where
-        the error happens matches a value in the list, then a backtrace is
-        written to the server log together with the error message.  This can
+        If an log entry is raised and the name of the internal C function where
+        the logging happens matches a value in the list, then a backtrace is
+        written to the server log together with the log message.  This can
         be used to debug specific areas of the source code.
        </para>
 
-- 
2.32.1 (Apple Git-133)

